﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;

namespace TEC.DAL.Models
{
    public partial class DB_PRUEBA_TECNICAContext : DbContext
    {
        public DB_PRUEBA_TECNICAContext()
        {
        }

        public DB_PRUEBA_TECNICAContext(DbContextOptions<DB_PRUEBA_TECNICAContext> options)
            : base(options)
        {
        }

        public virtual DbSet<AppSexo> AppSexo { get; set; }
        public virtual DbSet<AppUsuarios> AppUsuarios { get; set; }
        public virtual DbSet<LogAuditoria> LogAuditoria { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer("Data Source=(localdb)\\MSSQLLocalDB;Initial Catalog=DB_PRUEBA_TECNICA;Integrated Security=True;Connect Timeout=30;Encrypt=False;");
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<AppSexo>(entity =>
            {
                entity.HasKey(e => e.Codigo)
                    .HasName("PK__APP_SEXO__06370DADE9717A2B");

                entity.ToTable("APP_SEXO");

                entity.Property(e => e.Codigo)
                    .HasMaxLength(1)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Nombre)
                    .IsRequired()
                    .HasMaxLength(100)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<AppUsuarios>(entity =>
            {
                entity.HasKey(e => e.Nombre)
                    .HasName("PK__APP_USUA__75E3EFCE8FF005E2");

                entity.ToTable("APP_USUARIOS");

                entity.Property(e => e.Nombre)
                    .HasMaxLength(100)
                    .IsUnicode(false);

                entity.Property(e => e.Fecha_Nacimiento)
                    .HasColumnName("Fecha_Nacimiento")
                    .HasColumnType("date");

                entity.Property(e => e.Sexo)
                    .IsRequired()
                    .HasMaxLength(1)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.HasOne(d => d.SexoNavigation)
                    .WithMany(p => p.AppUsuarios)
                    .HasForeignKey(d => d.Sexo)
                    .OnDelete(DeleteBehavior.ClientSetNull)
                    .HasConstraintName("FK__APP_USUARI__Sexo__25869641");
            });

            modelBuilder.Entity<LogAuditoria>(entity =>
            {
                entity.ToTable("LOG_AUDITORIA");

                entity.Property(e => e.Fecha).HasColumnType("date");

                entity.Property(e => e.Objeto)
                    .IsRequired()
                    .IsUnicode(false);

                entity.Property(e => e.Operacion)
                    .IsRequired()
                    .HasMaxLength(100)
                    .IsUnicode(false);
            });

            OnModelCreatingGeneratedProcedures(modelBuilder);
            OnModelCreatingPartial(modelBuilder);
        }

        partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
    }
}